Bug 586291

Summary: Review Request: cURLpp - - C++ wrapper for libcURL
Product: [Fedora] Fedora Reporter: Devil Wang <wxjeacen>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: alexl, b4d0n3, fedora-package-review, me, mrlhwliberty, notting, rc040203, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.curlpp.org/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
* It uses the C++ Standard Library structures instead of home made ones. * It is exception safe. (see this) * It is type safe.
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-11 23:38:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Devil Wang 2010-04-27 04:58:31 EDT
Spec URL: <http://dl.dropbox.com/u/6190834/Curlpp%20Package/curlpp.spec>
SRPM URL: <http://dl.dropbox.com/u/6190834/Curlpp%20Package/curlpp-0.7.3-1.fc13.src.rpm>

Description: 

libcURL is described as: a free and easy-to-use client-side URL  transfer library, supporting FTP, FTPS, HTTP, HTTPS, GOPHER, TELNET, DICT, FILE and LDAP. libcurl supports HTTPS certificates, HTTP POST, HTTP PUT, FTP uploading, kerberos, HTTP  form based upload, proxies, cookies, user+password authentication, file transfer resume, http proxy tunneling and more!

libcurl is highly portable, it builds and works identically on numerous platforms, including Solaris, NetBSD, FreeBSD, OpenBSD, Darwin, HPUX, IRIX, AIX, Tru64, Linux, Windows, Amiga, OS/2, BeOs, Mac OS X, Ultrix, QNX, OpenVMS, RISC OS, Novell NetWare, DOS and more…

libcurl is free, thread-safe, IPv6 compatible, feature rich, well supported and fast.

First, I need to quote Daniel Stenberg, the maintener of libcURL:
You can use libcURL instantly from within your C++ programs. You don’t need cURLpp for that, cURLpp just adds an OO’ified layer that libcURL doesn’t normally provide.
Comment 1 Devil Wang 2010-04-27 05:01:07 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
* It uses the C++ Standard Library structures instead of home made ones.
    * It is exception safe. (see this)
    * It is type safe.
Comment 2 Caius Chance 2010-04-27 08:38:27 EDT
My informal review:

Line 4: First word did not capitalized.

Line 18: Typo: "Supporting"
Line 19: Over 80 characters of width.
Line 20: Double spaced between "HTTP" and "certificates".

Line 24: This paragraph is sort of irrelevant.

Line 42, 43:  Please put %post and %postun after %clean.
Comment 3 Caius Chance 2010-04-27 08:39:15 EDT
Please make all paragraphs more readable.
Comment 4 Ralf Corsepius 2010-04-27 08:55:07 EDT
Package doesn't build in mock:
...
checking for boostlib >= 1.33.1... configure: error: We could not detect the boost libraries (version 1.33 or higher).
...
Comment 5 Howard Ning 2010-04-28 08:13:42 EDT
Also, you should at least add COPYING in %doc. http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
Comment 6 Ralf Corsepius 2010-05-07 06:23:15 EDT
Ping? Any update on this one?

Devil Wang, shouldn't we be hearing from you within one week, I'll close this review request.
Comment 7 Devil Wang 2010-05-07 06:44:55 EDT
(In reply to comment #6)
> Ping? Any update on this one?
> 
> Devil Wang, shouldn't we be hearing from you within one week, I'll close this
> review request.    


I was busy this week, i will update this package as soon as possible.
Comment 8 Ralf Corsepius 2010-05-07 07:20:23 EDT
Thank you for your promptly response. I am looking forward to hearing from you.
Comment 9 Ralf Corsepius 2010-05-29 00:07:36 EDT
Another 3 weeks without update have passed. Closing review as FAILED.

Devil Wang, should you or others be interested in submitting this package to Fedora, feel free to open a new review request.
Comment 10 Alex Lancaster 2010-07-11 23:38:05 EDT
Closing as NOTABUG as per: https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 11 Susi Lehtola 2011-07-19 06:57:03 EDT

*** This bug has been marked as a duplicate of bug 723053 ***